Subject: Re: bug#64163: 29.0.92; Syntactic errors in early init when --debug-init is on

From: Stefan Monnier <[email-masked]>
Date: Tue, 20 Jun 2023 10:24:31 -0400

> First, the --init-directory=$DIR part is not relevant to the issue;
> the same happens if you place such init files in your "normal" home
> directory.

[ IIUC he used it so we can reproduce his recipe without having to
  mess with our config.  Thanks Sebastien for that effort :-)  ]

> More to the point, that error in early-init.el does not trigger
> a backtrace because 'end-of-file' error is in the list that is the
> value of debug-ignored-errors.  So this problem is specific to that
> particular kind of error in early-init.el.  If you trigger some other
> error, which is not in the list of ignored ones, you will see
> a backtrace.
>
> IOW, this is the expected behavior.
>
> I wonder whether the patch below could be the solution to this.

I think `debug-ignored-errors` should keep its default value when
`--debug-init` is not used.

IOW `--debug-init` should be the one that sets `debug-ignored-errors` to
nil (only while loading the init files, tho).

> Stefan, WDYT?  Should we perhaps condition this binding by more
> conditions, like only do this in interactive invocations or something?

That would also be worth a try, yes.

        Stefan